/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.kafkaconfig;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 * @author omozegieaziegbe
 */
@RestController
@RequestMapping("/api")
public class KafkaProducer {

    @Autowired
    ProducerService producerService;

    @PostMapping(value = "/createTransaction")
    public void sendMessageTopic(
            @RequestParam("id") String id,
            @RequestParam(value = "type", required = false) String type,
            @RequestParam(value = "amount", required = false) Double amount) {

        Transaction message = new Transaction();
        message.setId(id);
        message.setType(type);
        message.setAmount(amount);

        this.producerService.saveTransaction(message);
    }
    
    @GetMapping(value = "/view")
    public String showJSON(){
    return "Hello World";
    }

}
