/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.kafkaconfig;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Service;

/**
 *
 * @author omozegieaziegbe
 */
@Service
public class ProducerService {

    @Autowired
    private KafkaTemplate<String, Object> kafkaTemplate;

    public void saveTransaction(Transaction message) {

        
        this.kafkaTemplate.send("transaction", message);
        this.kafkaTemplate.send("financial-events", message);
        System.out.println("Transaction created " + message);
    }
}
